# Function getProtocolInitializer

- getProtocolInitializer<P, PN>(platform, protocol): ProtocolInitializer<P, PN>

- #### Type Parameters

  - #### P extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  - #### PN extends "WormholeCore" | "TokenBridge" | "AutomaticTokenBridge" | "CircleBridge" | "AutomaticCircleBridge" | "Relayer" | "IbcBridge" | "NftBridge"

  #### Parameters

  - ##### platform: P

  - ##### protocol: PN

  #### Returns ProtocolInitializer<P, PN>

  - Defined in core/definitions/dist/esm/protocol.d.ts:18

Generated using TypeDoc